Ubuntu

Comment 7 for bug 948053

Hi guys, I have a solution for you (a painless workaround)
nvidia-173 drivers are not compatible with Xorg (ABI to be precise) version released in 12.04.
So I stick with 11.10 version of Xorg. I had to make the following changes to backport Xorg:

In /etc/apt/sources.list :

deb http://fr.archive.ubuntu.com/ubuntu/ oneiric main
deb-src http://fr.archive.ubuntu.com/ubuntu/ oneiric main

In /etc/apt/preferences:

Package: xserver-xorg*
Pin: release a=oneiric
Pin-Priority: 1050

Note related to nvidia-173 on Ubuntu 12.04:
I'm using old hardware with nvidia-173 drivers and I don't like the fact "composite" is mandatory to use Unity correctly (very laggy) I had to force composite to switch it "off" to avoid laggy windows by modifying /etc/X11/xorg.conf:

Section "Extensions"
    Option "Composite" "Disable"
EndSection